<?xml version="1.0"?>
<!--
  For more information on how to configure your ASP.NET application, please visit
  http://go.microsoft.com/fwlink/?LinkId=169433v13.2
  -->
<configuration>
  <configSections>
    <sectionGroup name="devExpress">
      <section name="settings" type="DevExpress.Web.SettingsConfigurationSection, DevExpress.Web.v14.2, Version=14.2.15.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" requirePermission="false" />
      <section name="compression" type="DevExpress.Web.CompressionConfigurationSection, DevExpress.Web.v14.2, Version=14.2.15.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" requirePermission="false" />
      <section name="themes" type="DevExpress.Web.ThemesConfigurationSection, DevExpress.Web.v14.2, Version=14.2.15.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" requirePermission="false" />
      <section name="errors" type="DevExpress.Web.ErrorsConfigurationSection, DevExpress.Web.v14.2, Version=14.2.15.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" requirePermission="false" />
    </sectionGroup>
  </configSections>
  <appSettings>
    <add key="AdhocReportNotify" value="%COWS_ADHOC_REPORT_NOTIFY%" />
    <add key="aspnet:MaxHttpCollectionKeys" value="%COWS_ASPNET_MAXHTTPCOLLECTIONKEYS%" />
    <add key="BlockedIds" value="%COWS_BLOCKED_IDS%" />
    <add key="BlockUI" value="%COWS_BLOCK_UI%" />
    <add key="BlockUIMessage" value="%COWS_BLOCK_UI_MESSAGE%" />
    <add key="CacheTimeOut" value="%COWS_CACHE_TIMEOUT%" />
    <add key="CalenderEntryURL" value="%COWS_CALENDAR_ENTRY_URL%" />
    <add key="ChartImageHandler" value="%COWS_CHARTIMAGE_HANDLER%" />
    <add key="COWSRegion" value="%COWS_REGION%" />
    <add key="CPEMNSFileName" value="%COWS_CPEMNS_FILE_NAME%" />
    <add key="DefaultFromEmail" value="%COWS_DEFAULT_FROM_EMAIL%" />
    <add key="DetailLog" value="%COWS_DETAIL_LOG%" />
    <add key="ErrorEmail" value="%COWS_ERROR_MAIL%" />
	<add key="MDSRedesignLkp" value="%COWS_MDSRedesignLkp%" />
    <add key="EventMail" value="%COWS_EVENT_MAIL%" />
    <add key="ExportFolder" value="%COWS_EXPORT_FOLDER%" />
    <add key="LogAppDir" value="%LOGFILE_HOME%" />
    <add key="LogDirectoryList" value="%COWS_LOG_DIRECTORY_LIST%" />
    <add key="MDSShippedEmail" value="%COWS_MDS_SHIPPED_EMAIL%" />
    <add key="MSMgrFileName" value="%COWS_MSMGR_FILE_NAME%" />
    <add key="Navega_EOC" value="%COWS_NAVEGA_EOC%" />
    <add key="Orange_EOC" value="%COWS_Orange_EOC%" />
    <add key="OSXslt" value="%COWS_OSXslt%" />
    <add key="PageSize" value="%COWS_PAGESIZE%" />
    <add key="RetractMail" value="%COWS_RETRACT_MAIL%" />
    <add key="ServerName" value="%COWS_MAIL_SERVER_NAME%" />
    <add key="VendorCertNavega" value="%COWS_VENDORCERTNAVEGA%" />
    <add key="VendorCertOrange" value="%COWS_VENDORCERTOrange%" />
    <add key="ViewEventURL" value="%COWS_VIEW_EVENT_URL%" />
    <add key="VndrEncryptFlg" value="%COWS_VNDRENCRYPTFLG%" />
    <add key="XSDPath" value ="%COWS_XSD_PATH%" />
    <add key="ArchivedRedesignFile" value = "%COWS_ARCHIVED_REDESIGNS%" />
    <add key="CPEOrderDet" value="%COWS_CPEORDR_XSLT%" />
	<add key="DesignDocDet" value="%COWS_DESIGNDOC_XSLT%" />
    <add key="ViewCPTURL" value="%COWS_VIEW_CPT_URL%" />
	<add key="ViewCPECLLI" value="%COWS_VIEW_CPE_CLLI_URL%" />
	<add key="SIPTDocURL" value="%COWS_SIPT_DOC_URL%" />
  </appSettings>
  <connectionStrings>
    <add name="ApplicationServices" connectionString="%COWS_APP_SVCS_CONNECT_STRING%" />
    <add name="ConnectionString" connectionString="%COWS_DB_CONNECT_STRING%" />
    <add name="COWSReporting" connectionString="%COWS_REPORTING_CONNECT_STRING%" providerName="System.Data.SqlClient" />
    <add name="COWSOnReporting" connectionString="%COWS_ON_REPORTING_CONNECT_STRING%" providerName="System.Data.SqlClient" />
  </connectionStrings>
  <!--
    For a description of web.config changes see http://go.microsoft.com/fwlink/?LinkId=235367.

    The following attributes can be set on the <httpRuntime> tag.
      <system.Web>
        <httpRuntime targetFramework="4.5" />
      </system.Web>
  -->
  <system.web>
    <pages validateRequest="false">
      <controls>
        <add tagPrefix="Charting" namespace="System.Web.UI.DataVisualization.Charting" assembly="System.Web.DataVisualization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
        <add tagPrefix="ajaxToolkit" assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" />
      </controls>
    </pages>
    <customErrors mode="Off" />
    <authentication mode="Windows" />
    <sessionState mode="InProc" stateConnectionString="tcpip=127.0.0.1:42424" sqlConnectionString="data source=127.0.0.1;Trusted_Connection=yes" cookieless="false" timeout="60" />
    <compilation debug="true" targetFramework="4.5.2" batch="false">
      <assemblies>
        <add assembly="System.Data.Linq, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <add assembly="WindowsBase, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
        <add assembly="System.Web.DataVisualization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
        <add assembly="DevExpress.Data.v14.2, Version=14.2.15.0, Culture=neutral, PublicKeyToken=B88D1754D700E49A" />
        <add assembly="DevExpress.Utils.v14.2, Version=14.2.15.0, Culture=neutral, PublicKeyToken=B88D1754D700E49A" />
        <add assembly="DevExpress.Web.ASPxScheduler.v14.2, Version=14.2.15.0, Culture=neutral, PublicKeyToken=B88D1754D700E49A" />
        <add assembly="DevExpress.Web.v14.2, Version=14.2.15.0, Culture=neutral, PublicKeyToken=B88D1754D700E49A" />
        <add assembly="DevExpress.XtraEditors.v14.2, Version=14.2.15.0, Culture=neutral, PublicKeyToken=B88D1754D700E49A" />
        <add assembly="DevExpress.XtraScheduler.v14.2.Core, Version=14.2.15.0, Culture=neutral, PublicKeyToken=B88D1754D700E49A" />
        <add assembly="DevExpress.XtraScheduler.v14.2, Version=14.2.15.0, Culture=neutral, PublicKeyToken=B88D1754D700E49A" />
        <add assembly="DocumentFormat.OpenXml, Version=2.5.5631.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
        <add assembly="DevExpress.Printing.v14.2.Core, Version=14.2.15.0, Culture=neutral, PublicKeyToken=B88D1754D700E49A"/>
      </assemblies>
    </compilation>
    <membership>
      <providers>
        <clear />
        <add name="AspNetSqlMembershipProvider" type="System.Web.Security.SqlMembershipProvider" connectionStringName="ApplicationServices" enablePasswordRetrieval="false" enablePasswordReset="true" requiresQuestionAndAnswer="false" requiresUniqueEmail="false" maxInvalidPasswordAttempts="5" minRequiredPasswordLength="6" minRequiredNonalphanumericCharacters="0" passwordAttemptWindow="10" applicationName="/" />
      </providers>
    </membership>
    <profile>
      <providers>
        <clear />
        <add name="AspNetSqlProfileProvider" type="System.Web.Profile.SqlProfileProvider" connectionStringName="ApplicationServices" applicationName="/" />
      </providers>
    </profile>
    <roleManager enabled="false">
      <providers>
        <clear />
        <add name="AspNetSqlRoleProvider" type="System.Web.Security.SqlRoleProvider" connectionStringName="ApplicationServices" applicationName="/" />
        <add name="AspNetWindowsTokenRoleProvider" type="System.Web.Security.WindowsTokenRoleProvider" applicationName="/" />
      </providers>
    </roleManager>
    <httpModules>
      <add type="DevExpress.Web.ASPxHttpHandlerModule, DevExpress.Web.v14.2, Version=14.2.15.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" name="ASPxHttpHandlerModule" />
    </httpModules>
    <httpHandlers>
      <add type="DevExpress.Web.ASPxHttpHandlerModule, DevExpress.Web.v14.2, Version=14.2.15.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" verb="GET,POST" path="DX.ashx" validate="false" />
      <add path="ChartImg.axd" verb="GET,HEAD,POST" type="System.Web.UI.DataVisualization.Charting.ChartHttpHandler, System.Web.DataVisualization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" validate="false" />
      <add verb="GET,POST" path="ASPxUploadProgressHandlerPage.ashx" type="DevExpress.Web.ASPxUploadProgressHttpHandler, DevExpress.Web.v14.2, Version=14.2.15.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" />
    </httpHandlers>
    <httpRuntime requestValidationMode="2.0" maxRequestLength="25000"  requestLengthDiskThreshold="25000"  />
  </system.web>
  <system.webServer>
    <modules>
      <add type="DevExpress.Web.ASPxHttpHandlerModule, DevExpress.Web.v14.2, Version=14.2.15.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" name="ASPxHttpHandlerModule" />
    </modules>
    <validation validateIntegratedModeConfiguration="false" />
    <handlers>
      <add name="ChartImageHandler" preCondition="integratedMode" verb="GET,HEAD,POST" path="ChartImg.axd" type="System.Web.UI.DataVisualization.Charting.ChartHttpHandler, System.Web.DataVisualization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
      <add type="DevExpress.Web.ASPxHttpHandlerModule, DevExpress.Web.v14.2, Version=14.2.15.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" verb="GET,POST" path="DX.ashx" name="ASPxHttpHandlerModule" preCondition="integratedMode" />
      <add name="ASPxUploadProgressHandler" preCondition="integratedMode" verb="GET,POST" path="ASPxUploadProgressHandlerPage.ashx" type="DevExpress.Web.ASPxUploadProgressHttpHandler, DevExpress.Web.v14.2, Version=14.2.15.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" />
    </handlers>
    <httpCompression directory="%SystemDrive%\inetpub\temp\IIS Temporary Compressed Files">
      <scheme name="gzip" dll="%Windir%\system32\inetsrv\gzip.dll" />
      <dynamicTypes>
        <add mimeType="text/*" enabled="true" />
        <add mimeType="message/*" enabled="true" />
        <add mimeType="application/javascript" enabled="true" />
        <add mimeType="application/x-javascript" enabled="true" />
        <add mimeType="application/json" enabled="true" />
        <add mimeType="*/*" enabled="false" />
      </dynamicTypes>
      <staticTypes>
        <add mimeType="text/*" enabled="true" />
        <add mimeType="message/*" enabled="true" />
        <add mimeType="application/javascript" enabled="true" />
        <add mimeType="application/x-javascript" enabled="true" />
        <add mimeType="application/atom+xml" enabled="true" />
        <add mimeType="application/xaml+xml" enabled="true" />
        <add mimeType="*/*" enabled="false" />
      </staticTypes>
    </httpCompression>
    <urlCompression doStaticCompression="true" doDynamicCompression="true" />
  </system.webServer>
  <system.web.extensions>
    <scripting>
      <scriptResourceHandler enableCompression="true" enableCaching="true" />
    </scripting>
  </system.web.extensions>
  <devExpress>
    <themes enableThemesAssembly="true" styleSheetTheme="" theme="" customThemeAssemblies="" />
    <compression enableHtmlCompression="false" enableCallbackCompression="true" enableResourceCompression="true" enableResourceMerging="true" />
    <settings doctypeMode="Xhtml" rightToLeft="false" embedRequiredClientLibraries="false" />
    <errors callbackErrorRedirectUrl="" />
  </devExpress>
  <system.runtime.caching>  
      <memoryCache>  
        <namedCaches>  
            <add name="default"   
                 cacheMemoryLimitMegabytes="0"   
                 physicalMemoryLimitPercentage="80"  
                 pollingInterval="00:02:00" />  
        </namedCaches>  
      </memoryCache>  
  </system.runtime.caching>
</configuration>
